
Foreman - Feature #723

Hypervisor details page

03/09/2011 03:24 PM - Dis Connect

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: VM management   

Target version: 0.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Should have list of known vms on that host (combined libvirt and foreman) with links to host pages for hosts foreman knows about)

Also a "new host" button to create a vm on that host.

Related issues:

Has duplicate Foreman - Feature #734: show hypervisors details Duplicate 03/14/2011

Associated revisions

Revision b4d2608a - 03/31/2011 05:12 PM - Ohad Levy

fixes #723

Revision b3f525e2 - 03/31/2011 05:28 PM - Ohad Levy

fixes #723 - Hypervisor details page

This also include basic functionality to power on/off guests

History

#1 - 03/31/2011 05:29 PM - Ohad Levy

- Assignee set to Ohad Levy

- Target version set to 0.3

#2 - 03/31/2011 05:35 PM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset b3f525e22658fb39cef68e4ec5c02cd77d0925db.

#3 - 03/31/2011 05:35 PM - Ohad Levy

Applied in changeset b4d2608a195f769fbf4f833e98ec1d8ccba7368d.

#4 - 04/01/2011 09:18 AM - Dis Connect

Processing Hypervisors::GuestsController#index (for 10.1.2.3 at 2011-04-01 09:17:15) [GET]

Parameters: {"hypervisor_id"=>"hostfoo"}

trying to contact Hypervisor hostfoo

NoMethodError (undefined method `find_volume_by_name' for nil:NilClass):

app/models/hypervisor.rb:31:in `guests'

app/models/hypervisor.rb:65:in `query'

app/models/hypervisor.rb:31:in `guests'

app/controllers/hypervisors/guests_controller.rb:6:in `index'

/usr/lib/ruby/1.8/mongrel.rb:159:in `process_client'

/usr/lib/ruby/1.8/mongrel.rb:158:in `each'

/usr/lib/ruby/1.8/mongrel.rb:158:in `process_client'
/usr/lib/ruby/1.8/mongrel.rb:285:in `run'

/usr/lib/ruby/1.8/mongrel.rb:285:in `initialize'

/usr/lib/ruby/1.8/mongrel.rb:285

Rendering /usr/share/foreman/public/500.html (500 Internal Server Error)

#5 - 04/01/2011 03:41 PM - Ohad Levy

Dis Connect wrote:

Processing Hypervisors::GuestsController#index (for 10.1.2.3 at 2011-04-01 09:17:15) [GET]

Parameters: {"hypervisor_id"=>"hostfoo"}

trying to contact Hypervisor hostfoo

NoMethodError (undefined method `find_volume_by_name' for nil:NilClass):

 I can't reproduce that...

can you ensure that hostfoo does have the default storage pool? (otherwise we are hitting #720)

#6 - 04/06/2011 03:46 PM - Ohad Levy

- Status changed from Ready For Testing to Closed
